import 'package:flutter/material.dart';
import 'package:hmg_patient_app_new/core/utils/size_utils.dart';
import 'package:hmg_patient_app_new/extensions/string_extensions.dart';
import 'package:hmg_patient_app_new/extensions/widget_extensions.dart';
import 'package:hmg_patient_app_new/theme/colors.dart';

class SupportedWatchesList extends StatelessWidget {
  const SupportedWatchesList({super.key});

  @override
  Widget build(BuildContext context) {
    return Container(
      decoration: RoundedRectangleBorder().toSmoothCornerDecoration(
        color: AppColors.whiteColor,
        borderRadius: 20.r,
      ),
      child: Padding(
        padding: EdgeInsets.all(16.w),
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: [
            Row(
              children: [
                "Apple Watches".needTranslation.toText16(isBold: true),
              ],
            ),
            SizedBox(height: 4.h),
            "• Apple Watch Ultra".needTranslation.toText12(isBold: true, color: AppColors.greyTextColor),
            "• Apple Watch 11".needTranslation.toText12(isBold: true, color: AppColors.greyTextColor),
            "• Apple Watch 10".needTranslation.toText12(isBold: true, color: AppColors.greyTextColor),
            "• Apple Watch 9".needTranslation.toText12(isBold: true, color: AppColors.greyTextColor),
            "• Apple Watch 8".needTranslation.toText12(isBold: true, color: AppColors.greyTextColor),
            SizedBox(height: 16.h),
            Row(
              children: [
                "Samsung Watches".needTranslation.toText16(isBold: true),
              ],
            ),
            SizedBox(height: 4.h),
            "• Samsung Watch Ultra".needTranslation.toText12(isBold: true, color: AppColors.greyTextColor),
            "• Galaxy Watch 8".needTranslation.toText12(isBold: true, color: AppColors.greyTextColor),
            "• Galaxy Watch 7".needTranslation.toText12(isBold: true, color: AppColors.greyTextColor),
            "• Galaxy Watch 6".needTranslation.toText12(isBold: true, color: AppColors.greyTextColor),
            "• Galaxy Watch FE".needTranslation.toText12(isBold: true, color: AppColors.greyTextColor),
            "• Galaxy Watch Fit".needTranslation.toText12(isBold: true, color: AppColors.greyTextColor),
            SizedBox(height: 16.h),
            Row(
              children: [
                "Huawei Watches".needTranslation.toText16(isBold: true),
              ],
            ),
            SizedBox(height: 4.h),
            "• Huawei Watch Ultimate Series".needTranslation.toText12(isBold: true, color: AppColors.greyTextColor),
            "• Huawei Watch Series".needTranslation.toText12(isBold: true, color: AppColors.greyTextColor),
            "• Huawei Watch Fit Series".needTranslation.toText12(isBold: true, color: AppColors.greyTextColor),
            "• Huawei Watch Bands".needTranslation.toText12(isBold: true, color: AppColors.greyTextColor),
            SizedBox(height: 16.h),
            Row(
              children: [
                "Whoop Watches".needTranslation.toText16(isBold: true),
              ],
            ),
            SizedBox(height: 4.h),
            "• Whoop 1".needTranslation.toText12(isBold: true, color: AppColors.greyTextColor),
            "• Whoop 2".needTranslation.toText12(isBold: true, color: AppColors.greyTextColor),
          ],
        ),
      ),
    );
  }
}
